Subject: [Sigtran] [M3UA]1 AS and 1 ASP

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Thu, 2 Jan 2003 05:08:41 -0600 (CST)

Hi,

 Suppose an AS has single ASP and wants to connect to SGP1
and SGP2 for the same RK1.

+---------+                                 +-----+
|+------+ |          RK1      SCTP1         | ASP |
|| SGP1 |-|---------------------------------+-----+
|+------+ |                                    |
|         |                                    |
|+------+ |          RK1      SCTP2            |
|| SGP2 |-|------------------------------------+
|+------+ |
+---------+ 

Does REG procedures at SGP allow this kind of scenario?

This kind of scenario may be required in case SGP1 goes down 
still ASP can deliver messages via SGP2.

--Samuel

  Alcatel USA, Inc.                  Internet: <userid>@ssd.usa.alcatel.com
  1000 Coit Road, Plano, Texas 75075
  ******* The opinions expressed are not those of Alcatel USA, Inc. *******

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 2 Jan 2003 04:24:12 -0700

Samuel,

Yes, all the SS7 UAs support this.  The ASP registers once each with SGP1
and SGP2.

--brian

Samuel Dur D. Jeyaseelan wrote:                  (Thu, 02 Jan 2003 05:08:41)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Thu, 2 Jan 2003 05:51:29 -0600 (CST)

Brian,

For RK1 ,Will SGP1 and SGP2 return same RC?

-Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 2 Jan 2003 04:55:10 -0700

Samuel,

Not necessarily.  They SHOULD return the same RC value.

--brian

Samuel Dur D. Jeyaseelan wrote:                                                     (Thu, 02 Jan 2003 05:51:29)

---

From: Tolga Asveren <[email-masked]>
Date: Thu, 2 Jan 2003 05:04:31 -0800 (PST)

Brian,
> Not necessarily.  They SHOULD return the same RC
[TOLGA] Why "SHOULD"? If SGPs are part of the same SG,
this would be probably the case, but why has it to be
a "SHOULD" from protocol point of view?
> 
> --brian
> 
> Samuel Dur D. Jeyaseelan wrote:                     
>                                (Thu, 02 Jan 2003
> 05:51:29)
> > 
> > Brian,
> > 
> +-----+
> > > > || SGP1
> |-|---------------------------------+-----+
> > > > |+------+ |                                   
> |
> > > > |         |                                   
> |
> > > > |+------+ |          RK1      SCTP2           
> |
> > > > || SGP2

__________________________________________________
Do you Yahoo!?
Yahoo! Mail Plus - Powerful. Affordable. Sign up now.
http://mailplus.yahoo.com
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 2 Jan 2003 04:55:10 -0700

Samuel,

--brian

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 2 Jan 2003 06:31:37 -0700

Tolga,

Tolga Asveren wrote:                                                                 (Thu, 02 Jan 2003 05:04:31)
> a "SHOULD" from protocol point of view?

Because that was the consensus.

--brian

---

From: Tolga Asveren <[email-masked]>
Date: Thu, 2 Jan 2003 19:54:54 -0800 (PST)

Brian,
--- "Brian F. G. Bidulock" <[email-masked]>
wrote:
> Tolga Asveren wrote:                                
> 05:04:31)
[TOLGA] Is this stated somewhere in the M3UA
documents?

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 2 Jan 2003 22:01:53 -0700

Tolga,

Tolga Asveren wrote:                                                                 (Thu, 02 Jan 2003 19:54:54)
> [TOLGA] Is this stated somewhere in the M3UA

No.  I asked for it to be removed because it was an operational
consideration.

I can't see a case where any advantage would be gained by not
making RC values consistent across SGP in the same SG.  Can you?
What is the worth of useless flexibility?  It just creates more
work in handling the atypical cases.

--brian

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Fri, 3 Jan 2003 00:30:54 -0600 (CST)

Hi Brian,Tolga,

According to section 1.4.2.1
RC is an index into a sending node's message distribution table containing
the RK entries.

But section 4.4.1
The method of RC value assignment at SGP..
--

It is said that RC is within the scope of SGP so SGP1 and SGP2 can return 
the different RC for the same RK1.But each each SGP must maintain
different AS state machine.I dont think it is a problem.

If SGP1 and SGP2 return same RC for the single RK,.Here we should go
to the concept of 'centralization', but the problem(BIG) arises when
something goes wrong in the 'centralized database (may be due to
processor failure)'

So if we have M3UA running over different IP processor(SGP) ,it is better
to have SGP1 and SGP2 returning different RC for the same RK1.
 
--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 3 Jan 2003 01:26:24 -0700

Samuel,

Yes, I agree: it is an operational consideration.  That's why you don't
see it in the RFC.

--brian

Samuel Dur D. Jeyaseelan wrote:                        (Fri, 03 Jan 2003 00:30:54)

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Fri, 3 Jan 2003 02:53:14 -0600 (CST)

Brian,
Why dont u change section 1.4.2.1 Overview

...The Routing Context therefore can be viewed as an index into a sending
node's Message Distribution Table containing the Routing Key entries.

to

...The Routing Context therefore can be viewed as an index into a sending
SGP's Message Distribution Table containing the Routing Key entries.

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 3 Jan 2003 02:23:56 -0700

Samuel,

It's only an example of how to look at it: not a requirement-- node, SGP,
what's the difference?

--brian

Samuel Dur D. Jeyaseelan wrote:                                   (Fri, 03 Jan 2003 02:53:14)

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Sun, 5 Jan 2003 22:48:14 -0600 (CST)

Brian,
 Good explanation.As a reader of RFC i agree with you but as an
implementor i dont.Because it leads me to think that RC is within
the scope of SG but which is false as we discussed already.

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sun, 5 Jan 2003 22:03:33 -0700

Samuel,

Yes, change node to SGP.  I don't have control over the document
or I would do it for you.  Ask Javier or Ken to include it in the IG.

--brian

Samuel Dur D. Jeyaseelan wrote:                           (Sun, 05 Jan 2003 22:48:14)

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Sun, 5 Jan 2003 23:19:17 -0600 (CST)

Javier,Ken,

section 1.4.2.1 Overview

Please change this to [ in IG]

...The Routing Context therefore can be viewed as an index into a sending 
SGP's or Signaling Peer process's Message Distribution Table containing
the Routing Key entries.

--Samuel

---

From: ksrinivas <[email-masked]>
Date: Tue, 07 Jan 2003 09:42:34 +0530

Brian,

  >> Not necessarily.  They SHOULD return the same RC value.

   If SGP1 and SGP2 do not return the same RC values for RK1, does the RK:RC relation of 1:1 not voilated (Since
the scope of RK1 is global i.e., SG, the RC scope should aslo be for SG and return the same RC values).

--Srini

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 6 Jan 2003 21:19:50 -0700

Srini,

ksrinivas wrote:                                                                 (Tue, 07 Jan 2003 09:42:34)
>    If SGP1 and SGP2 do not return the same RC values for RK1, does the RK:RC
>    relation of 1:1 not voilated (Since the scope of RK1 is global i.e., SG,
>    the RC scope should aslo be for SG and return the same RC values).
> 
> --Srini
> 

Does it say somewhere in the RFC that the scope of the RK is the SG?

--brian

---

From: ksrinivas <[email-masked]>
Date: Tue, 07 Jan 2003 10:33:19 +0530

Brian,

>> Does it say somewhere in the RFC that the scope of the RK is the SG?

I feel it is implied. This is because all the parameters of RK are global to a node(SG).

--Srini

---

From: ksrinivas <[email-masked]>
Date: Tue, 07 Jan 2003 13:00:39 +0530

Brian,

      Can you please tell me what could be the traffic handling mode of AS in
this scenario (for the figure below i.e., in the forwarded mail)?.

--Srini

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 7 Jan 2003 01:10:16 -0700

Srini,

It doesn't matter what the traffic mode type is,
because there is only one ASP.  The TMT could be
Override, Load-share or Broadcast.

--brian

ksrinivas wrote:                                                                 (Tue, 07 Jan 2003 13:00:39)

---

From: ksrinivas <[email-masked]>
Date: Tue, 07 Jan 2003 14:20:28 +0530

Brian,

    Further, Can you please clarify the following points:

1. Does ASP1 sends ASP UP message to both the SGPs?.
2. If point 1(above) is true, in that case, what would be the ASP ID?. Should they pass the same ASPID or
different ASPID?.
3. If point 2(above) is true for same ASPID, now suppose, if ASP1 is Active w.r.t SGP1 with TMT as Override and
ASP1 wishes to override the traffic through SGP2 by sending ASP Active to SGP2, What ASPID does the Notify
(alternate ASP Active) from SGP1 contain?.

--Srini

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 7 Jan 2003 02:05:09 -0700

Srini,

ksrinivas wrote:                                   (Tue, 07 Jan 2003 14:20:28)
> 1. Does ASP1 sends ASP UP message to both the SGPs?.

Yes, if the ASP wants to be viewed by each SGP as being in the ASP-UP
state it will have to send ASPUP to each SGP.

> 2. If point 1(above) is true, in that case, what would be the ASP ID?.
> Should they pass the same ASPID or different ASPID?.

If the ASP sends ASP Identifier in the ASPUP message, the identifier
must uniquely identify the ASP to the SGP.  This does not mean that it
has to be the same value, however, IMO it would be foolish not to send
the same ASP Identifier values to both SGPs (because then the ASP would
have to keep track of a separate ASP Id for each SGP even though it
accomplishes nothing).

Regardless of whether the ASP Id values are the same or different, the
SGP should store the value and use it in subsequent NTFY messages when
required.

> 3. If point 2(above) is true for same ASPID, now suppose, if ASP1 is Active
> w.r.t SGP1 with TMT as Override and ASP1 wishes to override the traffic
> through SGP2 by sending ASP Active to SGP2, What ASPID does the Notify

I think that you misunderstand traffic modes: an ASP cannot override
itself to an SGP for an Application Server.

--brian

---

From: ksrinivas <[email-masked]>
Date: Tue, 07 Jan 2003 14:48:21 +0530

Brian,

> itself to an SGP for an Application Server.

Due to some implementation dependent reason or problem, the LM would have
requested ASP1 to override. Because of this, ASP1 can still send ASP Active to
SGP2. So if the ASP1 has sent the same ASPID in both the ASP UP messages, should
the ASP1 be able to support this situation with the same ASPID in Notify message?.

--Srini

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 7 Jan 2003 02:37:25 -0700

ksrinivas,

ksrinivas wrote:                                                                 (Tue, 07 Jan 2003 14:48:21)
> SGP2.

I still don't think you understand.  If ASP1 has send ASPAC to SGP2 before,
then SGP2 simply responds with ASPAC ACK.  If it has not, SGP2 still responds
with ASPAC ACK.  Nothing is overridden.

> So if the ASP1 has sent the same ASPID in both the ASP UP messages, should

I'm afraid you will have to draw the message flow.  See the example
in section 5.2.2 of RFC 3332.  It takes a different ASP (ASP2 in the
example from section 5.2.2) to override an active ASP (ASP1 in the
example from section 5.2.2).

--brian

---

From: ksrinivas <[email-masked]>
Date: Tue, 07 Jan 2003 17:18:48 +0530

Brian,

>>>with ASPAC ACK.  Nothing is overridden.

For the Scenario under discussion, let us assume that ASP1 has sent the following messages to SGP1
ASPUP message with ASPID 1,
REG REQ message for RK1 and
ASP ACTIVE message with TMT as Override

and

that ASP1 has also sent the following messages to SGP2
ASPUP message with ASPID 1,
REG REQ message for RK1

Now, due to some implementation dependent reason or problem, the LM would request ASP1 to send ASP ACTIVE with
TMT as Override to SGP2.

As you mentioned, SGP2 shall also reply with ASP ACTIVE Ack to ASP1.

My question is, since the TMT is Override,  Does the SGP1 send a Notify message to ASP1 for alternate ASP
Active?.
If so, Does it send the same ASPID 1 in the Notify message?.

If ASPID 1 is sent in the Notify message to ASP1, Should the ASP1 be implemented(to take care such a situation)
to receive the same ASPID 1 without misbehaving.

--Srini

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 7 Jan 2003 07:54:14 -0700

Srini,

ksrinivas wrote:                                                                 (Tue, 07 Jan 2003 17:18:48)

> Now, due to some implementation dependent reason or problem, the LM would
> request ASP1 to send ASP ACTIVE with TMT as Override to SGP2.
> 
> My question is, since the TMT is Override,  Does the SGP1 send a Notify
> message to ASP1 for alternate ASP Active?.

No, never.  This is the first ASP activating for the AS in SGP2.  It moves the
AS from the AS-INACTIVE state to the AS-ACTIVE state and sends ASPAC ACK and
NTFY("AS_Active") to ASP1.

Again, the traffic mode has nothing to do with it.  This is the first (and
only) ASP activating to SGP2.

--brian

> If ASPID 1 is sent in the Notify message to ASP1, Should the ASP1 be
> implemented(to take care such a situation) to receive the same ASPID 1
> without misbehaving.
> 
> --Srini
>

---

From: ksrinivas <[email-masked]>
Date: Wed, 08 Jan 2003 10:17:22 +0530

Brian,

     Yes, I agree with you. Each SGP views the same AS (or RK) from different angle (as they have a separate RK
tables). Is it not difficult to implement, to return the same RC1 for RK1 from both SGP1 and SGP2?.

--Srini